Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 74)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 75)
@@ -6,8 +6,9 @@
 ! "by_user" allowed as initializing action, -data_output_ts,
 ! leapfrog with non-flat topography not allowed any more, loop_optimization
-! and pt_reference are checked,
+! and pt_reference are checked, moisture renamed humidity,
 ! output of precipitation amount/rate and roughnes length + check
 ! possible negative humidities are avoided in initial profile,
-! dirichlet/neumann changed to dirichlet/radiation, etc.
+! dirichlet/neumann changed to dirichlet/radiation, etc.,
+! revision added to run_description_header
 !
 ! Former revisions:
@@ -80,6 +81,7 @@
     run_time = time(1:2)//':'//time(3:4)//':'//time(5:6)
 
-    WRITE ( run_description_header, '(A,2X,A,A,A,I2.2,2X,A,A,2X,A,1X,A)' )  &
-              TRIM( version ),'run: ', TRIM( run_identifier ), '.', &
+    WRITE ( run_description_header, '(A,2X,A,2X,A,A,A,I2.2,2X,A,A,2X,A,1X,A)' )&
+              TRIM( version ), TRIM( revision ), &
+              'run: ', TRIM( run_identifier ), '.', &
               runnr, 'host: ', TRIM( host ), run_date, run_time
 
@@ -131,6 +133,6 @@
           WRITE( action, '(A)' )  'cloud_droplets = .TRUE.'
        ENDIF
-       IF ( moisture )  THEN
-          WRITE( action, '(A)' )  'moisture = .TRUE.'
+       IF ( humidity )  THEN
+          WRITE( action, '(A)' )  'humidity = .TRUE.'
        ENDIF
        IF ( .NOT. prandtl_layer )  THEN
@@ -353,8 +355,8 @@
     ENDIF
 
-    IF ( cloud_physics  .AND.  .NOT. moisture )  THEN
+    IF ( cloud_physics  .AND.  .NOT. humidity )  THEN
        IF ( myid == 0 )  PRINT*, '+++ check_parameters: cloud_physics =', &
                                  cloud_physics, ' is not allowed with ',  &
-                                 'moisture =', moisture
+                                 'humidity =', humidity
        CALL local_stop
     ENDIF
@@ -367,6 +369,6 @@
     ENDIF
 
-    IF ( moisture  .AND.  sloping_surface )  THEN
-       IF ( myid == 0 )  PRINT*, '+++ check_parameters: moisture = TRUE', &
+    IF ( humidity  .AND.  sloping_surface )  THEN
+       IF ( myid == 0 )  PRINT*, '+++ check_parameters: humidity = TRUE', &
                                  'and hang = TRUE are not',               &
                                  ' allowed simultaneously' 
@@ -374,12 +376,12 @@
     ENDIF
 
-    IF ( moisture  .AND.  scalar_advec == 'ups-scheme' )  THEN
+    IF ( humidity  .AND.  scalar_advec == 'ups-scheme' )  THEN
        IF ( myid == 0 )  PRINT*, '+++ check_parameters: UPS-scheme', &
-                                 'is not implemented for moisture'
+                                 'is not implemented for humidity'
        CALL local_stop       
     ENDIF
 
-    IF ( passive_scalar  .AND.  moisture )  THEN
-       IF ( myid == 0 )  PRINT*, '+++ check_parameters: moisture = TRUE and', &
+    IF ( passive_scalar  .AND.  humidity )  THEN
+       IF ( myid == 0 )  PRINT*, '+++ check_parameters: humidity = TRUE and', &
                                  'passive_scalar = TRUE is not allowed ',     &
                                  'simultaneously'
@@ -410,5 +412,5 @@
        v_init  = vg_surface
        pt_init = pt_surface
-       IF ( moisture )        q_init = q_surface
+       IF ( humidity )        q_init = q_surface
        IF ( passive_scalar )  q_init = s_surface
 
@@ -552,5 +554,5 @@
        ENDIF
 
-       IF ( moisture  .OR.  passive_scalar )  THEN
+       IF ( humidity  .OR.  passive_scalar )  THEN
 
           i = 1
@@ -760,12 +762,12 @@
           CALL local_stop
        ENDIF
-       IF ( conserve_volume_flow )  THEN
-          IF ( myid == 0 )  THEN
-             PRINT*, '+++ check_parameters:'
-             PRINT*, '    non-cyclic lateral boundaries do not allow', &
-                          ' conserve_volume_flow = .T.' 
-          ENDIF
-          CALL local_stop
-       ENDIF
+!       IF ( conserve_volume_flow )  THEN
+!          IF ( myid == 0 )  THEN
+!             PRINT*, '+++ check_parameters:'
+!             PRINT*, '    non-cyclic lateral boundaries do not allow', &
+!                          ' conserve_volume_flow = .T.' 
+!          ENDIF
+!          CALL local_stop
+!       ENDIF
     ENDIF
 
@@ -907,8 +909,8 @@
 
 !
-!-- In case of moisture or passive scalar, set boundary conditions for total 
+!-- In case of humidity or passive scalar, set boundary conditions for total 
 !-- water content / scalar
-    IF ( moisture  .OR.  passive_scalar ) THEN
-       IF ( moisture )  THEN
+    IF ( humidity  .OR.  passive_scalar ) THEN
+       IF ( humidity )  THEN
           sq = 'q'
        ELSE
@@ -942,5 +944,5 @@
 !
 !--    A given surface humidity implies Dirichlet boundary condition for
-!--    moisture. In this case specification of a constant water flux is
+!--    humidity. In this case specification of a constant water flux is
 !--    forbidden.
        IF ( ibc_q_b == 0  .AND.  constant_waterflux )  THEN
@@ -1552,9 +1554,9 @@
 
           CASE ( 'w"qv"' )
-             IF ( moisture  .AND.  .NOT. cloud_physics ) &
+             IF ( humidity  .AND.  .NOT. cloud_physics ) &
              THEN
                 dopr_index(i) = 48
                 hom(:,2,48,:) = SPREAD( zw, 2, statistic_regions+1 )
-             ELSEIF( moisture .AND. cloud_physics ) THEN
+             ELSEIF( humidity .AND. cloud_physics ) THEN
                 dopr_index(i) = 51
                 hom(:,2,51,:) = SPREAD( zw, 2, statistic_regions+1 )
@@ -1564,5 +1566,5 @@
                            data_output_pr(i),                          &
                            '    is not implemented for cloud_physics = FALSE', &
-                           '    and                    moisture      = FALSE'
+                           '    and                    humidity      = FALSE'
                 ENDIF
                 CALL local_stop                   
@@ -1570,9 +1572,9 @@
 
           CASE ( 'w*qv*' )
-             IF ( moisture  .AND.  .NOT. cloud_physics ) &
+             IF ( humidity  .AND.  .NOT. cloud_physics ) &
              THEN
                 dopr_index(i) = 49
                 hom(:,2,49,:) = SPREAD( zw, 2, statistic_regions+1 )
-             ELSEIF( moisture .AND. cloud_physics ) THEN
+             ELSEIF( humidity .AND. cloud_physics ) THEN
                 dopr_index(i) = 52
                 hom(:,2,52,:) = SPREAD( zw, 2, statistic_regions+1 )
@@ -1582,5 +1584,5 @@
                            data_output_pr(i),                                  &
                            '    is not implemented for cloud_physics = FALSE', &
-                           '                       and moisture      = FALSE'
+                           '                       and humidity      = FALSE'
                 ENDIF
                 CALL local_stop                   
@@ -1588,9 +1590,9 @@
 
           CASE ( 'wqv' )
-             IF ( moisture  .AND.  .NOT. cloud_physics ) &
+             IF ( humidity  .AND.  .NOT. cloud_physics ) &
              THEN
                 dopr_index(i) = 50
                 hom(:,2,50,:) = SPREAD( zw, 2, statistic_regions+1 )
-             ELSEIF( moisture .AND. cloud_physics ) THEN
+             ELSEIF( humidity .AND. cloud_physics ) THEN
                 dopr_index(i) = 53
                 hom(:,2,53,:) = SPREAD( zw, 2, statistic_regions+1 )
@@ -1600,5 +1602,5 @@
                            data_output_pr(i),                                  &
                            '    is not implemented for cloud_physics = FALSE', &
-                           '                       and moisture      = FALSE'
+                           '                       and humidity      = FALSE'
                 ENDIF
                 CALL local_stop                   
@@ -1819,8 +1821,8 @@
 
           CASE ( 'q', 'vpt' )
-             IF ( .NOT. moisture )  THEN
+             IF ( .NOT. humidity )  THEN
                 IF ( myid == 0 )  THEN
                    PRINT*, '+++ check_parameters: output of "', TRIM( var ), &
-                                '" requires moisture = .TRUE.'
+                                '" requires humidity = .TRUE.'
                 ENDIF
                 CALL local_stop
Index: palm/trunk/SOURCE/coriolis.f90
===================================================================
--- palm/trunk/SOURCE/coriolis.f90	(revision 74)
+++ palm/trunk/SOURCE/coriolis.f90	(revision 75)
@@ -4,5 +4,5 @@
 ! Actual revisions:
 ! -----------------
-! 
+! uxrp, vynp eliminated
 !
 ! Former revisions:
@@ -56,5 +56,5 @@
 !--       u-component
           CASE ( 1 )
-             DO  i = nxl, nxr+uxrp
+             DO  i = nxl, nxr
                 DO  j = nys, nyn
                    DO  k = nzb_u_inner(j,i)+1, nzt
@@ -74,5 +74,5 @@
           CASE ( 2 )
              DO  i = nxl, nxr
-                DO  j = nys, nyn+vynp
+                DO  j = nys, nyn
                    DO  k = nzb_v_inner(j,i)+1, nzt
                       tend(k,j,i) = tend(k,j,i) - f *     ( 0.25 *          &
Index: palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_2d.f90	(revision 74)
+++ palm/trunk/SOURCE/data_output_2d.f90	(revision 75)
@@ -4,5 +4,6 @@
 ! Actual revisions:
 ! -----------------
-! Output of precipitation amount/rate and roughness length
+! Output of precipitation amount/rate and roughness length,
+! 2nd+3rd argument removed from exchange horiz
 !
 ! Former revisions:
@@ -208,5 +209,5 @@
                 IF ( av == 0 )  THEN
                    tend = prt_count
-                   CALL exchange_horiz( tend, 0, 0 )
+                   CALL exchange_horiz( tend )
                    DO  i = nxl-1, nxr+1
                       DO  j = nys-1, nyn+1
@@ -218,5 +219,5 @@
                    resorted = .TRUE.
                 ELSE
-                   CALL exchange_horiz( pc_av, 0, 0 )
+                   CALL exchange_horiz( pc_av )
                    to_be_resorted => pc_av
                 ENDIF
@@ -243,5 +244,5 @@
                       ENDDO
                    ENDDO
-                   CALL exchange_horiz( tend, 0, 0 )
+                   CALL exchange_horiz( tend )
                    DO  i = nxl-1, nxr+1
                       DO  j = nys-1, nyn+1
@@ -253,5 +254,5 @@
                    resorted = .TRUE.
                 ELSE
-                   CALL exchange_horiz( pr_av, 0, 0 )
+                   CALL exchange_horiz( pr_av )
                    to_be_resorted => pr_av
                 ENDIF
Index: palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_3d.f90	(revision 74)
+++ palm/trunk/SOURCE/data_output_3d.f90	(revision 75)
@@ -4,5 +4,5 @@
 ! Actual revisions:
 ! -----------------
-! 
+! 2nd+3rd argument removed from exchange horiz
 !
 ! Former revisions:
@@ -129,5 +129,5 @@
              IF ( av == 0 )  THEN
                 tend = prt_count
-                CALL exchange_horiz( tend, 0, 0 )
+                CALL exchange_horiz( tend )
                 DO  i = nxl-1, nxr+1
                    DO  j = nys-1, nyn+1
@@ -139,5 +139,5 @@
                 resorted = .TRUE.
              ELSE
-                CALL exchange_horiz( pc_av, 0, 0 )
+                CALL exchange_horiz( pc_av )
                 to_be_resorted => pc_av
              ENDIF
@@ -164,5 +164,5 @@
                    ENDDO
                 ENDDO
-                CALL exchange_horiz( tend, 0, 0 )
+                CALL exchange_horiz( tend )
                 DO  i = nxl-1, nxr+1
                    DO  j = nys-1, nyn+1
@@ -174,5 +174,5 @@
                 resorted = .TRUE.
              ELSE
-                CALL exchange_horiz( pr_av, 0, 0 )
+                CALL exchange_horiz( pr_av )
                 to_be_resorted => pr_av
              ENDIF
Index: palm/trunk/SOURCE/data_output_dvrp.f90
===================================================================
--- palm/trunk/SOURCE/data_output_dvrp.f90	(revision 74)
+++ palm/trunk/SOURCE/data_output_dvrp.f90	(revision 75)
@@ -32,5 +32,6 @@
 ! Actual revisions:
 ! -----------------
-! Particles-package is now part of the default code.
+! Particles-package is now part of the default code,
+! moisture renamed humidity
 ! TEST: write statements
 !
@@ -391,5 +392,5 @@
 
              CASE ( 'q', 'q_xy', 'q_xz', 'q_yz' )
-                IF ( moisture  .OR.  passive_scalar )  THEN
+                IF ( humidity  .OR.  passive_scalar )  THEN
                    DO  i = nxl, nxr+1
                       DO  j = nys, nyn+1
@@ -401,5 +402,5 @@
                 ELSE
                    IF ( myid == 0 )  THEN
-                      PRINT*, '+++ data_output_dvrp: if moisture/passive_scalar = ', & 
+                      PRINT*, '+++ data_output_dvrp: if humidity/passive_scalar = ', & 
                               'FALSE output of ', output_variable,            &
                               'is not provided' 
Index: palm/trunk/SOURCE/diffusion_u.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_u.f90	(revision 74)
+++ palm/trunk/SOURCE/diffusion_u.f90	(revision 75)
@@ -5,5 +5,5 @@
 ! -----------------
 ! Wall functions now include diabatic conditions, call of routine wall_fluxes,
-! z0 removed from argument list
+! z0 removed from argument list, uxrp eliminated
 ! 
 ! Former revisions:
@@ -65,5 +65,5 @@
        REAL, DIMENSION(:,:),   POINTER ::  usws
        REAL, DIMENSION(:,:,:), POINTER ::  km, u, v, w
-       REAL, DIMENSION(nzb:nzt+1,nys:nyn,nxl:nxr+uxrp) ::  usvs
+       REAL, DIMENSION(nzb:nzt+1,nys:nyn,nxl:nxr) ::  usvs
 
 !
@@ -71,9 +71,9 @@
 !--    if neccessary
        IF ( topography /= 'flat' )  THEN
-          CALL wall_fluxes( usvs, 1.0, 0.0, 0.0, 0.0, uxrp, 0, nzb_u_inner, &
+          CALL wall_fluxes( usvs, 1.0, 0.0, 0.0, 0.0, nzb_u_inner, &
                             nzb_u_outer, wall_u )
        ENDIF
 
-       DO  i = nxl, nxr+uxrp
+       DO  i = nxl, nxr
           DO  j = nys,nyn
 !
Index: palm/trunk/SOURCE/diffusion_v.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_v.f90	(revision 74)
+++ palm/trunk/SOURCE/diffusion_v.f90	(revision 75)
@@ -5,5 +5,5 @@
 ! -----------------
 ! Wall functions now include diabatic conditions, call of routine wall_fluxes,
-! z0 removed from argument list
+! z0 removed from argument list, vynp eliminated
 !
 ! Former revisions:
@@ -63,5 +63,5 @@
        REAL, DIMENSION(:,:),   POINTER ::  vsws
        REAL, DIMENSION(:,:,:), POINTER ::  km, u, v, w
-       REAL, DIMENSION(nzb:nzt+1,nys:nyn+vynp,nxl:nxr) ::  vsus
+       REAL, DIMENSION(nzb:nzt+1,nys:nyn,nxl:nxr) ::  vsus
 
 !
@@ -69,10 +69,10 @@
 !--    if neccessary
        IF ( topography /= 'flat' )  THEN
-          CALL wall_fluxes( vsus, 0.0, 1.0, 0.0, 0.0, 0, vynp, nzb_v_inner, &
+          CALL wall_fluxes( vsus, 0.0, 1.0, 0.0, 0.0, nzb_v_inner, &
                             nzb_v_outer, wall_v )
        ENDIF
 
        DO  i = nxl, nxr
-          DO  j = nys, nyn+vynp
+          DO  j = nys, nyn
 !
 !--          Compute horizontal diffusion
Index: palm/trunk/SOURCE/diffusion_w.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_w.f90	(revision 74)
+++ palm/trunk/SOURCE/diffusion_w.f90	(revision 75)
@@ -69,7 +69,7 @@
 !--    walls, if neccessary
        IF ( topography /= 'flat' )  THEN
-          CALL wall_fluxes( wsus, 0.0, 0.0, 0.0, 1.0, 0, 0, nzb_w_inner, &
+          CALL wall_fluxes( wsus, 0.0, 0.0, 0.0, 1.0, nzb_w_inner, &
                             nzb_w_outer, wall_w_x )
-          CALL wall_fluxes( wsvs, 0.0, 0.0, 1.0, 0.0, 0, 0, nzb_w_inner, &
+          CALL wall_fluxes( wsvs, 0.0, 0.0, 1.0, 0.0, nzb_w_inner, &
                             nzb_w_outer, wall_w_y )
        ENDIF
Index: palm/trunk/SOURCE/disturb_field.f90
===================================================================
--- palm/trunk/SOURCE/disturb_field.f90	(revision 74)
+++ palm/trunk/SOURCE/disturb_field.f90	(revision 75)
@@ -1,8 +1,8 @@
- SUBROUTINE disturb_field( nzb_uv_inner, dist1, field, xrp, ynp )
+ SUBROUTINE disturb_field( nzb_uv_inner, dist1, field )
 
 !------------------------------------------------------------------------------!
 ! Actual revisions:
 ! -----------------
-! 
+! xrp, ynp eliminated, 2nd+3rd argument removed from exchange horiz
 !
 ! Former revisions:
@@ -36,10 +36,10 @@
     IMPLICIT NONE
 
-    INTEGER ::  i, j, k, xrp, ynp
+    INTEGER ::  i, j, k
     INTEGER ::  nzb_uv_inner(nys-1:nyn+1,nxl-1:nxr+1)
 
     REAL    ::  randomnumber,                             &
                 dist1(nzb:nzt+1,nys-1:nyn+1,nxl-1:nxr+1), &
-                field(nzb:nzt+1,nys-1:nyn+ynp+1,nxl-1:nxr+xrp+1)
+                field(nzb:nzt+1,nys-1:nyn+1,nxl-1:nxr+1)
     REAL, DIMENSION(:,:,:), ALLOCATABLE ::  dist2
 
@@ -94,5 +94,5 @@
 !
 !-- Exchange of ghost points for the random perturbation
-    CALL exchange_horiz( dist1, 0, 0 )
+    CALL exchange_horiz( dist1 )
 
 !
@@ -114,5 +114,5 @@
 !-- Exchange of ghost points for the filtered perturbation.
 !-- Afterwards, filter operation and exchange of ghost points are repeated.
-    CALL exchange_horiz( dist2, 0, 0 )
+    CALL exchange_horiz( dist2 )
     DO  i = nxl, nxr
        DO  j = nys, nyn
@@ -125,5 +125,5 @@
        ENDDO
     ENDDO
-    CALL exchange_horiz( dist1, 0, 0 )
+    CALL exchange_horiz( dist1 )
 
 !
Index: palm/trunk/SOURCE/exchange_horiz.f90
===================================================================
--- palm/trunk/SOURCE/exchange_horiz.f90	(revision 74)
+++ palm/trunk/SOURCE/exchange_horiz.f90	(revision 75)
@@ -1,8 +1,9 @@
- SUBROUTINE exchange_horiz( ar, xrp, ynp )
+ SUBROUTINE exchange_horiz( ar )
 
 !------------------------------------------------------------------------------!
 ! Actual revisions:
 ! -----------------
-! 
+! Special cases for additional gridpoints along x or y in case of non-cyclic
+! boundary conditions are not regarded any more
 !
 ! Former revisions:
@@ -32,13 +33,10 @@
     IMPLICIT NONE
 
-    INTEGER ::  xrp, ynp
-
 #if defined( __parallel )
-    INTEGER                               ::  typexz
     INTEGER, DIMENSION(4)                 ::  req
     INTEGER, DIMENSION(MPI_STATUS_SIZE,4) ::  wait_stat
 #endif
 
-    REAL ::  ar(nzb:nzt+1,nys-1:nyn+ynp+1,nxl-1:nxr+xrp+1)
+    REAL ::  ar(nzb:nzt+1,nys-1:nyn+1,nxl-1:nxr+1)
 
 
@@ -59,4 +57,5 @@
 
     ELSE
+
        req = 0
 !
@@ -76,5 +75,6 @@
                ar(nzb,nys-1,nxl-1), ngp_yz(grid_level), MPI_REAL, pleft,  1, &
                           comm2d, req(4), ierr )
-       call MPI_Waitall (4,req,wait_stat,ierr)
+       CALL MPI_WAITALL( 4, req, wait_stat, ierr )
+
     ENDIF
 
@@ -90,28 +90,20 @@
 
     ELSE
-!
-!--    Set the MPI data type, which depends on the size of the array
-!--    (the v array has an additional gridpoint along y in case of non-cyclic
-!--    boundary conditions)
-       IF ( ynp == 0 )  THEN
-          typexz = type_xz(grid_level)
-       ELSE
-          typexz = type_xz_p
-       ENDIF
 
        req = 0
 !
 !--    Send front boundary, receive rear one
-       CALL MPI_ISEND( ar(nzb,nys,nxl-1),   1, typexz, psouth, 0, comm2d, &
-                       req(1), ierr )
-       CALL MPI_IRECV( ar(nzb,nyn+1,nxl-1), 1, typexz, pnorth, 0, comm2d, &
-                       req(2), ierr )
+       CALL MPI_ISEND( ar(nzb,nys,nxl-1),   1, type_xz(grid_level), psouth, 0, &
+                       comm2d, req(1), ierr )
+       CALL MPI_IRECV( ar(nzb,nyn+1,nxl-1), 1, type_xz(grid_level), pnorth, 0, &
+                       comm2d, req(2), ierr )
 !
 !--    Send rear boundary, receive front one
-       CALL MPI_ISEND( ar(nzb,nyn,nxl-1),   1, typexz, pnorth, 1, comm2d, &
-                       req(3), ierr )
-       CALL MPI_IRECV( ar(nzb,nys-1,nxl-1), 1, typexz, psouth, 1, comm2d, &
-                       req(4), ierr )
-       call MPI_Waitall (4,req,wait_stat,ierr)
+       CALL MPI_ISEND( ar(nzb,nyn,nxl-1),   1, type_xz(grid_level), pnorth, 1, &
+                       comm2d, req(3), ierr )
+       CALL MPI_IRECV( ar(nzb,nys-1,nxl-1), 1, type_xz(grid_level), psouth, 1, &
+                       comm2d, req(4), ierr )
+       call MPI_WAITALL( 4, req, wait_stat, ierr )
+
     ENDIF
 
Index: palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- palm/trunk/SOURCE/flow_statistics.f90	(revision 74)
+++ palm/trunk/SOURCE/flow_statistics.f90	(revision 75)
@@ -5,5 +5,6 @@
 ! -----------------
 ! Collection of time series quantities moved from routine flow_statistics to
-! here, routine user_statistics is called for each statistic region
+! here, routine user_statistics is called for each statistic region,
+! moisture renamed humidity
 !
 ! Former revisions:
@@ -115,5 +116,5 @@
 !--    total water content, specific humidity and liquid water potential
 !--    temperature
-       IF ( moisture )  THEN
+       IF ( humidity )  THEN
           !$OMP DO
           DO  i = nxl, nxr
@@ -164,5 +165,5 @@
              sums_l(:,2,0) = sums_l(:,2,0) + sums_l(:,2,i)
              sums_l(:,4,0) = sums_l(:,4,0) + sums_l(:,4,i)
-             IF ( moisture )  THEN
+             IF ( humidity )  THEN
                 sums_l(:,41,0) = sums_l(:,41,0) + sums_l(:,41,i)
                 sums_l(:,44,0) = sums_l(:,44,0) + sums_l(:,44,i)
@@ -187,5 +188,5 @@
        CALL MPI_ALLREDUCE( sums_l(nzb,4,0), sums(nzb,4), nzt+2-nzb, MPI_REAL, &
                            MPI_SUM, comm2d, ierr )
-       IF ( moisture ) THEN
+       IF ( humidity ) THEN
           CALL MPI_ALLREDUCE( sums_l(nzb,44,0), sums(nzb,44), nzt+2-nzb, &
                               MPI_REAL, MPI_SUM, comm2d, ierr )
@@ -208,5 +209,5 @@
        sums(:,2) = sums_l(:,2,0)
        sums(:,4) = sums_l(:,4,0)
-       IF ( moisture ) THEN
+       IF ( humidity ) THEN
           sums(:,44) = sums_l(:,44,0)
           sums(:,41) = sums_l(:,41,0)
@@ -231,5 +232,5 @@
 !
 !--    Humidity and cloud parameters
-       IF ( moisture ) THEN
+       IF ( humidity ) THEN
           sums(:,44) = sums(:,44) / ngp_2dh_outer(:,sr)
           sums(:,41) = sums(:,41) / ngp_2dh_outer(:,sr)
@@ -365,5 +366,5 @@
 !
 !--             Buoyancy flux, water flux (humidity flux) w"q"
-                IF ( moisture ) THEN
+                IF ( humidity ) THEN
                    sums_l(k,45,tn) = sums_l(k,45,tn)                           &
                                          - 0.5 * ( kh(k,j,i) + kh(k+1,j,i) )   &
@@ -407,5 +408,5 @@
                 sums_l(nzb,61,tn) = sums_l(nzb,61,tn) + &
                                     0.0 * rmask(j,i,sr)           ! v"pt"
-                IF ( moisture )  THEN
+                IF ( humidity )  THEN
                    sums_l(nzb,48,tn) = sums_l(nzb,48,tn) + &
                                        qsws(j,i) * rmask(j,i,sr)  ! w"q" (w"qv")
@@ -437,5 +438,5 @@
                 sums_l(nzt,61,tn) = sums_l(nzt,61,tn) + &
                                     0.0 * rmask(j,i,sr)           ! v"pt"
-                IF ( moisture )  THEN
+                IF ( humidity )  THEN
                    sums_l(nzt,48,tn) = sums_l(nzt,48,tn) + &
                                        qswst(j,i) * rmask(j,i,sr)  ! w"q" (w"qv")
@@ -499,5 +500,5 @@
 !--             Buoyancy flux, water flux, humidity flux and liquid water
 !--             content
-                IF ( moisture )  THEN
+                IF ( humidity )  THEN
                    pts = 0.5 * ( vpt(k,j,i)   - hom(k,1,44,sr) + &
                                  vpt(k+1,j,i) - hom(k+1,1,44,sr) )
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 74)
+++ palm/trunk/SOURCE/header.f90	(revision 75)
@@ -5,5 +5,6 @@
 ! -----------------
 ! Output of netcdf_64bit_3d, particles-package is now part of the default code,
-! output of the loop optimization method.
+! output of the loop optimization method, moisture renamed humidity,
+! output of subversion revision number
 !
 ! Former revisions:
@@ -52,4 +53,5 @@
     CHARACTER (LEN=10) ::  coor_chr, host_chr
     CHARACTER (LEN=16) ::  begin_chr
+    CHARACTER (LEN=21) ::  ver_rev
     CHARACTER (LEN=40) ::  output_format
     CHARACTER (LEN=70) ::  char1, char2, coordinates, gradients, dopr_chr, &
@@ -95,5 +97,6 @@
 !-- Run-identification, date, time, host
     host_chr = host(1:10)
-    WRITE ( io, 100 )  version, TRIM( run_classification ), run_date, &
+    ver_rev = TRIM( version ) // '  ' // TRIM( revision )
+    WRITE ( io, 100 )  ver_rev, TRIM( run_classification ), run_date, &
                        run_identifier, run_time, runnr, ADJUSTR( host_chr )
 #if defined( __parallel )
@@ -217,5 +220,5 @@
        WRITE ( io, 123 )  rayleigh_damping_height, rayleigh_damping_factor
     ENDIF
-    IF ( moisture )  THEN
+    IF ( humidity )  THEN
        IF ( .NOT. cloud_physics )  THEN
           WRITE ( io, 129 )
@@ -370,6 +373,6 @@
     ENDIF
 
-    IF ( moisture  .OR.  passive_scalar )  THEN
-       IF ( moisture )  THEN
+    IF ( humidity  .OR.  passive_scalar )  THEN
+       IF ( humidity )  THEN
           IF ( ibc_q_b == 0 )  THEN
              runten = 'q(0)     = q_surface'
@@ -405,5 +408,5 @@
           IF ( random_heatflux )  WRITE ( io, 307 )
        ENDIF
-       IF ( moisture  .AND.  constant_waterflux )  THEN
+       IF ( humidity  .AND.  constant_waterflux )  THEN
           WRITE ( io, 311 ) surface_waterflux
        ENDIF
@@ -418,5 +421,5 @@
           WRITE ( io, 306 )  top_heatflux
        ENDIF
-       IF ( moisture  .OR.  passive_scalar )  THEN
+       IF ( humidity  .OR.  passive_scalar )  THEN
           WRITE ( io, 315 )
        ENDIF
@@ -426,5 +429,5 @@
        WRITE ( io, 305 )  zu(1), roughness_length, kappa, rif_min, rif_max
        IF ( .NOT. constant_heatflux )  WRITE ( io, 308 )
-       IF ( moisture  .AND.  .NOT. constant_waterflux )  THEN
+       IF ( humidity  .AND.  .NOT. constant_waterflux )  THEN
           WRITE ( io, 312 )
        ENDIF
@@ -955,5 +958,5 @@
 !-- Initial humidity profile
 !-- Building output strings, starting with surface humidity
-    IF ( moisture  .OR.  passive_scalar )  THEN
+    IF ( humidity  .OR.  passive_scalar )  THEN
        WRITE ( temperatures, '(E8.1)' )  q_surface
        gradients = '--------'
@@ -978,5 +981,5 @@
        ENDDO
 
-       IF ( moisture )  THEN
+       IF ( humidity )  THEN
           WRITE ( io, 421 )  TRIM( coordinates ), TRIM( temperatures ), &
                              TRIM( gradients ), TRIM( slices )
@@ -1021,5 +1024,5 @@
        WRITE ( io, 475 )  pt_surface_initial_change
     ENDIF
-    IF ( moisture  .AND.  q_surface_initial_change /= 0.0 )  THEN
+    IF ( humidity  .AND.  q_surface_initial_change /= 0.0 )  THEN
        WRITE ( io, 476 )  q_surface_initial_change       
     ENDIF
@@ -1113,7 +1116,7 @@
 
  99 FORMAT (1X,78('-'))
-100 FORMAT (/10X,'****************',11X,28('-')/                &
-            10X,'*  ',A12,'*',11X,A/                            &
-            10X,'****************',11X,28('-')//                &
+100 FORMAT (/1X,'*************************',11X,28('-')/        &
+            1X,'* ',A,' *',11X,A/                               &
+            1X,'*************************',11X,28('-')//        &
             ' Date:            ',A8,11X,'Run:       ',A20/      &
             ' Time:            ',A8,11X,'Run-No.:   ',I2.2/     &
Index: palm/trunk/SOURCE/init_1d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_1d_model.f90	(revision 74)
+++ palm/trunk/SOURCE/init_1d_model.f90	(revision 75)
@@ -4,5 +4,6 @@
 ! Actual revisions:
 ! -----------------
-! Bugfix: preset of tendencies te_em, te_um, te_vm
+! Bugfix: preset of tendencies te_em, te_um, te_vm,
+! moisture renamed humidity
 !
 ! Former revisions:
@@ -125,5 +126,5 @@
     vsws1d = 0.0; vsws1d_m = 0.0
     z01d = roughness_length
-    IF ( moisture .OR. passive_scalar )  qs1d = 0.0
+    IF ( humidity .OR. passive_scalar )  qs1d = 0.0
 
 !
@@ -216,5 +217,5 @@
                 kmzm = 0.5 * ( km1d_m(k-1) + km1d_m(k) )
                 kmzp = 0.5 * ( km1d_m(k) + km1d_m(k+1) )
-                IF ( .NOT. moisture )  THEN
+                IF ( .NOT. humidity )  THEN
                    pt_0 = pt_init(k)
                    flux =  ( pt_init(k+1)-pt_init(k-1) ) * dd2zu(k)
@@ -256,5 +257,5 @@
              kmzm = 0.5 * ( km1d_m(k-1) + km1d_m(k) )
              kmzp = 0.5 * ( km1d_m(k) + km1d_m(k+1) )
-             IF ( .NOT. moisture )  THEN
+             IF ( .NOT. humidity )  THEN
                 pt_0 = pt_init(k)
                 flux =  ( pt_init(k+1)-pt_init(k-1) ) * dd2zu(k)
@@ -450,5 +451,5 @@
 
              IF ( prandtl_layer )  THEN
-                IF ( .NOT. moisture )  THEN
+                IF ( .NOT. humidity )  THEN
                    pt_0 = pt_init(nzb+1)
                    flux = ts1d
@@ -462,5 +463,5 @@
 
              DO  k = nzb_diff, nzt
-                IF ( .NOT. moisture )  THEN
+                IF ( .NOT. humidity )  THEN
                    pt_0 = pt_init(k)
                    flux = ( pt_init(k+1) - pt_init(k-1) ) * dd2zu(k)
@@ -544,5 +545,5 @@
                 e1d(nzb) = e1d(nzb+1)
 
-                IF ( moisture .OR. passive_scalar ) THEN
+                IF ( humidity .OR. passive_scalar ) THEN
 !
 !--                Compute q* 
